<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iPcInventory Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiPcInventory.html">iPcInventory</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a47f2ad2707e4070e2d51950201ebc1cc">AddEntity</a>(iCelEntity *entity)=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a20f2b6402a444281b9377612aaec2279">AddEntity</a>(iCelEntity *entity, iCelParameterBlock *params)=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a38e202d14c73293263a79746f5dcbf82">AddInventoryListener</a>(iPcInventoryListener *listener)=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a565438b4a7bfa37ab9ded7043c539c1c">Dump</a>()=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a9176010d01eccebfff136a34f504bcb2">FindEntity</a>(iCelEntity *entity) const =0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a680d8d8700cd125477d7265b08307e1e">FindEntity</a>(const char *name) const =0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#ab39f3f77f233994e3c796c4351717c4e">FindEntity</a>(csStringID classid) const =0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#ac2a1b904eb4fd1b3db554dd0f93188f5">GetConstraints</a>(const char *charName, float &amp;minValue, float &amp;maxValue, float &amp;totalMaxValue) const =0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#adc73f72657311cdbabe2001d24379671">GetCurrentCharacteristic</a>(const char *charName) const =0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a51d9e5bd68dfd0a7ce138e85f7b7323d">GetEntity</a>(size_t idx) const =0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a24c35023211ea9a8836a9dfaa0b34cd7">GetEntityCount</a>() const =0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a7b90a84b0b511a6f4438711dca0e69db">GetEntitySlot</a>(iCelParameterBlock *params) const =0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a187de0b1cfda0eb99faf3a617dff2067">GetSpace</a>()=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#afe2db71149a9a75ba1449b2143e943a6">HasStrictCharacteristics</a>(const char *charName) const =0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a19952f942aa82542a386c445011a078b">In</a>(iCelEntity *entity) const =0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a9a47e6693c0b6f990f50c7afcb48249a">In</a>(const char *name) const =0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a610fbc3e67be3080b20d4c0ed557fecb">MarkDirty</a>(const char *charName)=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a61935394ff6fdcf3318563085d470a44">RemoveAll</a>()=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a6a672a6f3e9e54fccbff4cc9ccbb483b">RemoveAllConstraints</a>()=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a0bd4364372136439a6948047ae3783fa">RemoveConstraints</a>(const char *charName)=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#afda56d9d67a36c0404a60b11a2d0635b">RemoveEntity</a>(iCelEntity *entity)=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#afd0f0f4d6b3758e6442b4035b776a1b3">RemoveEntity</a>(iCelParameterBlock *params)=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#ac7cb9b83546fdb3114da3abf85ed11b4">RemoveInventoryListener</a>(iPcInventoryListener *listener)=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#ac4961aad36682ab5600cb8ab8f9e4fba">SetConstraints</a>(const char *charName, float minValue, float maxValue, float totalMaxValue)=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#ac01ae1173b42cd9eb15ae265d390c579">SetSpace</a>(iCelInventorySpace *space)=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#a7de24939946dc84e64aef80144e953ba">SetStrictCharacteristics</a>(const char *charName, bool strict)=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcInventory.html#ae5101f45cf2cd0e2947baf020e89b0c3">TestConstraints</a>(const char *charName)=0</td><td><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
